Approve Order API:
Usage: Use this API to Approve an order.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/approve_orders |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/approve_orders' \
--header 'rapidshyp-token:HQ$f**********oZ \
--header 'Content-Type: application/json' \
--data '{
"order_id": [
"1111111111"
],
"store_name": "DEFAULT"
}'
| Request Parameters | Required | Remark | Validation |
|---|---|---|---|
{ | |||
| orderId | Mandatory | Order ID created on Rapid Shyp | Should be a valid order ID |
| storeName | Mandatory | Store name of order on Rapidshyp | Should be a valid store name ID |
} |
Response:
JSON
{
"status": "success",
"remark": "Approved orders successfully"
}